/* Breakpoints */

/* Sizes */

.m-stories {
  height: 100%;
  padding-top: 0;
  padding-top: calc(constant(safe-area-inset-top) + 0);
  padding-top: calc(env(safe-area-inset-top) + 0);
}

.m-stories__swiper {
  height: 100%;
}

.swiper-horizontal > .m-stories__pagination {
  display: flex;
  flex-flow: row nowrap;
  justify-content: flex-start;
  align-items: center;
  padding: 0 16px;
  --swiper-pagination-bottom: auto;
  top: 28px;
  top: calc(constant(safe-area-inset-top) + 28px);
  top: calc(env(safe-area-inset-top) + 28px);
}

.m-stories__item {
  display: flex;
  flex-flow: column nowrap;
  justify-content: flex-start;
  align-items: stretch;
  padding: 80px 16px 16px;
  padding-top: 80px;
  padding-top: calc(constant(safe-area-inset-top) + 80px);
  padding-top: calc(env(safe-area-inset-top) + 80px);
  padding-bottom: 16px;
  padding-bottom: calc(constant(safe-area-inset-bottom) + 16px);
  padding-bottom: calc(env(safe-area-inset-bottom) + 16px);
  background-color: var(--red);
  color: var(--white);
  user-select: none;
}

.m-stories__bg {
  width: 100%;
  height: 100%;
  pointer-events: none;
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: -1;
  transform: translate(-50%, -50%);
}

.m-stories__itemHeading {
  font-family: var(--font-title);
  font-weight: bold;
  font-size: 28px;
  line-height: 1.1;
  text-transform: uppercase;
  text-wrap: balance;
  margin-bottom: 24px;
}

[data-id="31"] .m-stories__itemHeading {
  margin-top: 110px;
}

[data-id="22"] .m-stories__itemHeading {
  margin-top: 40px;
}

[data-id="42"] .m-stories__itemHeading {
  margin-top: 90px;
  text-align: center;
}

.m-stories__itemDescription {
  overflow-y: hidden;
}

.m-stories__itemDescription p {
  font-size: 16px;
}

.m-stories__item[data-id="47"] .m-stories__itemDescription p,
.m-stories__item[data-id="46"] .m-stories__itemDescription p,
.m-stories__item[data-id="45"] .m-stories__itemDescription p,
.m-stories__item[data-id="32"] .m-stories__itemDescription p,
.m-stories__item[data-id="29"] .m-stories__itemDescription p,
.m-stories__item[data-id="27"] .m-stories__itemDescription p,
.m-stories__item[data-id="21"] .m-stories__itemDescription p,
.m-stories__item[data-id="22"] .m-stories__itemDescription p,
.m-stories__item[data-id="24"] .m-stories__itemDescription p {
  font-size: 24px;
}

.m-stories__itemActions {
  margin-top: auto;
}

.m-stories__itemButton {
  width: 100%;
}

[data-id="31"] .m-stories__itemButton,
[data-id="22"] .m-stories__itemButton,
[data-id="29"] .m-stories__itemButton,
[data-id="28"] .m-stories__itemButton,
[data-id="6"] .m-stories__itemButton,
[data-id="18"] .m-stories__itemButton,
[data-id="8"] .m-stories__itemButton {
  color: var(--gray-800);
  background-color: var(--white);
}

[data-id="30"] .m-stories__itemButton {
  color: #a159ff;
  background-color: var(--white);
  font-weight: bold;
}

[data-id="45"] .m-stories__itemButton {
  color: var(--white);
  background-color: #ff565d;
  font-weight: bold;
}

[data-id="49"] .m-stories__itemButton,
[data-id="48"] .m-stories__itemButton,
[data-id="47"] .m-stories__itemButton,
[data-id="46"] .m-stories__itemButton,
[data-id="44"] .m-stories__itemButton,
[data-id="43"] .m-stories__itemButton,
[data-id="7"] .m-stories__itemButton,
[data-id="5"] .m-stories__itemButton,
[data-id="22"] .m-stories__itemButton,
[data-id="42"] .m-stories__itemButton,
[data-id="41"] .m-stories__itemButton,
[data-id="40"] .m-stories__itemButton,
[data-id="39"] .m-stories__itemButton,
[data-id="38"] .m-stories__itemButton,
[data-id="37"] .m-stories__itemButton,
[data-id="36"] .m-stories__itemButton,
[data-id="35"] .m-stories__itemButton,
[data-id="34"] .m-stories__itemButton,
[data-id="33"] .m-stories__itemButton,
[data-id="32"] .m-stories__itemButton {
  color: #fff;
  background-color: var(--purple-2);
}

.m-stories__paginationItem {
  flex-grow: 1;
  overflow: hidden;
  --swiper-pagination-bullet-width: auto;
  --swiper-pagination-bullet-height: 3px;
  --swiper-pagination-bullet-border-radius: 0;
  --swiper-pagination-bullet-inactive-color: var(--white);
  --swiper-pagination-bullet-inactive-opacity: 1;
}

.m-stories__paginationItem.swiper-pagination-bullet-active {
  --progress: 0%;
  background-color: rgba(255, 255, 255, 0.35);
  position: relative;
}

.m-stories__paginationItem.swiper-pagination-bullet-active::before {
  content: "";
  width: 100%;
  height: 100%;
  background-color: var(--white);
  position: absolute;
  right: 100%;
  top: 0;
  z-index: 1;
  transform: translateX(var(--progress));
}

.swiper-pagination-bullet-active ~ .m-stories__paginationItem {
  --swiper-pagination-bullet-inactive-opacity: 0.35;
}

.setSlider__container {
  position: relative;
}

.setSlider__sliderWrap {
  --hover-offset: 10px;
  padding-top: var(--hover-offset);
  margin-top: calc(var(--hover-offset) * -1);
}

.setSlider__item {
  background-color: var(--white);
  border-radius: var(--border-radius-medium);
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.08);
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: stretch;
  overflow: hidden;
  transition: transform 0.25s ease;
  width: 250px;
}

.setSlider__picture {
  height: 84px;
  width: 100%;
}

[data-id="17"] .setSlider__img {
  object-position: top;
}

.setSlider__bottom {
  padding: var(--padding-medium);
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: center;
}

.setSlider__text {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: flex-start;
}

.setSlider__subTitle {
  color: var(--gray-500);
  margin-top: var(--padding-mini);
  font-size: var(--font-size-small);
}

.setSlider__btn {
  background: var(--green-light);
  border-radius: 50%;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  height: 24px;
  width: 24px;
  fill: none;
  stroke: var(--green);
  flex-shrink: 0;
}

.setSlider__btnSVG {
  height: 12px;
  width: 12px;
}

.setSlider__arrow {
  top: calc(50% + 18px);
}

.saleSlider {
  overflow: hidden;
  width: 100%;
}

.saleSlider__container {
  position: relative;
}

.saleSlider__slider {
  overflow-x: visible;
}

.saleSlider__link,
.saleSlider__picture,
.saleSlider__img {
  width: 320px;
  height: 140px;
  border-radius: var(--border-radius-medium);
  overflow: hidden;
  display: block;
}

.saleSlider__arrowContainer {
  display: none;
}

.saleSlider2 {
  overflow: hidden;
  width: 100%;
}

.saleSlider2__container {
  position: relative;
}

.saleSlider2__sliderWrap {
  padding: 4px 0;
}

.saleSlider2__link,
.saleSlider2__picture,
.saleSlider2__img {
  width: 115px;
  height: 131px;
  border-radius: var(--border-radius-medium);
  overflow: hidden;
  display: block;
}

.saleSlider2__link {
  margin-right: 14px;
}

.m-stories__itemDescription {
  user-select: none;
}

.m-stories__itemButton {
  user-select: none;
}

.cartProducts {
  --product-mobile-width: 187px;
  --product-title-font-size: 15px;
  --product-title-line-height: 19px;
  --product-info-margin-top: 6px;
  --product-info-margin-bottom: 5px;
  --product-margin-right: 10px;
}

.home__formContent {
  max-width: 480px;
  margin-left: auto;
  margin-right: auto;
}

@media (min-width: 768px) {
  .setSlider__picture {
    height: 121px;
  }

  .setSlider__btn {
    height: 31px;
    width: 31px;
  }

  .saleSlider__link,
  .saleSlider__picture,
  .saleSlider__img {
    width: 632px;
    height: 277px;
  }

  .saleSlider__arrowContainer {
    display: block;
  }

  .saleSlider2__link,
  .saleSlider2__picture,
  .saleSlider2__img {
    width: 632px;
    height: 277px;
  }

  .saleSlider2__link[data-id="20"] {
    display: none;
  }
}

@media (min-width: 1100px) {
  .setSlider__title {
    margin-bottom: 16px;
  }

  .setSlider__sliderWrap {
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    align-items: stretch;
  }

  .setSlider__item {
    flex-shrink: 0;
    margin-right: 14px;
  }

  .saleSlider2__sliderWrap {
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    align-items: stretch;
  }

  .saleSlider2__link,
  .saleSlider2__picture,
  .saleSlider2__img {
    flex-shrink: 0;
  }

  .saleSlider2__link {
    margin-right: 9px;
  }
}

@media (min-width: 1200px) {
  .saleSlider__slider {
    overflow: hidden;
  }

  .saleSlider2__slider {
    overflow: hidden;
  }
}

@media (min-width: 1328px) {
  .setSlider__picture {
    height: 139px;
  }
}

@media (max-width: 1099px) {
  .setSlider__item + .setSlider__item {
    margin-left: 7px;
  }

  .setSlider__arrowContainer {
    display: none;
  }

  .saleSlider2__arrowContainer {
    display: none;
  }
}

@media (max-width: 767px) {
  .saleSlider2__slider {
    overflow: visible;
  }

  .saleSlider2__link-unviewed {
    outline: 2px solid var(--red);
    outline-offset: 2px;
  }

  .saleSlider2__link-noStory {
    display: none;
  }
}

@media (hover: hover) {
  .setSlider__item:hover {
    transform: translateY(calc(var(--hover-offset) * -1));
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
